Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.IOP
Class CodecFactoryHelper

    java.lang.Object
      org.omg.IOP.CodecFactoryHelper

    public abstract class CodecFactoryHelper

extends Object

`Codecs` are obtained from the `CodecFactory`. The `CodecFactory` is obtained through a call to `ORB.resolve_initial_references( "CodecFactory" )`.

Constructor Summary
`CodecFactoryHelper()`

Method Summary
`static CodecFactory` | `extract(Any a)`
`static String` | `id()`
`static void` | `insert(Any a, CodecFactory that)`
`static CodecFactory` | `narrow(Object obj)`
`static CodecFactory` | `read(InputStream istream)`
`static TypeCode` | `type()`
`static CodecFactory` | `unchecked_narrow(Object obj)`
`static void` | `write(OutputStream ostream, CodecFactory value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CodecFactoryHelper

    public CodecFactoryHelper()

Method Detail

### insert

    public static void insert(Any a,
                              CodecFactory that)

### extract

    public static CodecFactory extract(Any a)

### type

    public static TypeCode type()

### id

    public static String id()

### read

    public static CodecFactory read(InputStream istream)

### write

    public static void write(OutputStream ostream,
                             CodecFactory value)

### narrow

    public static CodecFactory narrow(Object obj)

### unchecked_narrow

    public static CodecFactory unchecked_narrow(Object obj)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.